Bug 188155 - ELinks displays text with the same colour as the background on XTerm
ELinks displays text with the same colour as the background on XTerm
Product: Fedora
Classification: Fedora
Component: elinks (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Depends On:
  Show dependency treegraph
Reported: 2006-04-06 10:34 EDT by Joni Yrjana
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-05 04:16:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Simple HTML page that exposes the problem. (49 bytes, text/html)
2006-04-06 10:34 EDT, Joni Yrjana
no flags Details

  None (edit)
Description Joni Yrjana 2006-04-06 10:34:18 EDT
Description of problem:
ELinks displays the text of some HTML pages with the same colour as the
background when using it in XTerm.
Those same HTML pages are displayed correctly on ELinks with a Gnome-Terminal.
Also when using the latest ELinks (0.12-20060406) compiled from source the same
HTML pages are displayed correctly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run ELinks on XTerm to display some simple HTML page (for example the
attached test.html).
Actual results:
The text of the HTML page is displayed with the same colour as the background
resulting in invisible text.

Expected results:
The text should be displayed with some other colour than background colour.

Additional info:
Comment 1 Joni Yrjana 2006-04-06 10:34:19 EDT
Created attachment 127408 [details]
Simple HTML page that exposes the problem.
Comment 2 Karel Zak 2007-03-14 17:02:15 EDT
Pleaese, try change terminal settings (F9 -> Setup -> Option Manager). I'm not
sure if we're able to found setting which works well for all terminals.
Comment 3 Joni Yrjana 2007-03-15 02:18:41 EDT
Note: I have switched to FC6 and don't have the old FC5 installation left.

Changing settings as suggested helps, the text is visible.
Using XTerm in 256 color mode helps.
Not using Fedoras default background/foreground settings for XTerm helps (I
used: xterm -fg white -bg black).
Using latest stable ELinks (0.11.2, installed from source) helps.

So plenty of work-arounds, and eventually, when you update ELinks to Fedora,
this problem will go away. Perhaps set resolution of this bug to nextrelease?

Below are notes I made while doing some new testing now on FC6 with ELinks
version 0.11.1-5.1. To me it looks like on some occasions the background and/or
foreground default document color settings are not set.

Switching to 2 color mode helped, text is visible.

I can't choose 256 color modes even with TERM set to xterm-256color from any of
the xterm/xterm-color/xterm-256color terminal settings, only 2 or 16 color modes
are possible to set.

Changing background to black and foreground to white helps.

Elinks settings says default background is black but it's not switched to, the
background stays whatever it is set in XTerm (white in my case).

Changing the default font or background color helps. Looks like the only problem
is with the default settings for default font and background color.

Removing $HOME/.elinks and trying with TERM=xterm didn't help, but now it works
when TERM=xterm-256color without changing settings. I probably had changed some
settings with earlier ELinks version, now after removing $HOME/.elinks I am not
able to get the problem appearing again with TERM=xterm-256color.

Removing $HOME/.elinks and trying with TERM=xterm-256color works. Though the
document default colors specified in ELinks settings are not obeyed: background
and foreground (text color) are not changed to them.
Comment 4 Ondrej Vasik 2007-06-05 04:16:41 EDT
Just checked with F7 elinks rpm and it seems to be ok. So closing as NextRelease.

Note You need to log in before you can comment on or make changes to this bug.